petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSetDebugTerminal

Sets the terminal to use (instead of xterm) for debugging.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSetDebugTerminal(const char terminal[])

Not Collective

### Input Parameters

terminal -name of terminal and any flags required to execute a program. For example "xterm -e", "urxvt -e", "gnome-terminal -x".

### Options Database Keys

-debug_terminal terminal - use this terminal instead of xterm

### Notes

You can start the debugger for all processes in the same GNU screen session.

mpiexec -n 4 ./myapp -start_in_debugger -debug_terminal "screen -X -S debug screen"

will open 4 windows in the session named "debug".

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscSetDebugger()

### Level

developer

### Location

src/sys/error/adebug.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages